// PCAN Explorer Macro File
// This file can be edited and run within PCAN Explorer version 3 (Currently running version 3.2.2.374).

//This macro program sets the S300 drive Opmode using a PDO

Send 000h  2  02h 01h // NMT: stop PDO's
Wait 100

//Set up PDO's

//RPDO1 (Control Word)
Send 601h  8  23h 00h 14h 01h 01h 02h 00h 00h // RPDO1 set to drive address 1 (COB-ID 201)
Wait 20
Send 601h  8  2Fh 00h 16h 00h 00h 00h 00h 00h // delete RPDO1 mapping
Wait 20
Send 601h  8  23h 00h 16h 01h 10h 00h 40h 60h // RPDO1 entry 1 map: Control Word
Wait 20
Send 601h  8  2Fh 00h 16h 00h 01h 00h 00h 00h // one RPDO1 mapped object
Wait 20

//RPDO2 (Operating mode 6060)
Send 601h  8  23h 01h 14h 01h 01h 03h 00h 00h // RPDO2 set to drive address 1 (COB-ID 301)
Wait 20
Send 601h  8  2Fh 01h 16h 00h 00h 00h 00h 00h // delete RPDO2 mapping
Wait 20
Send 601h  8  23h 01h 16h 01h 08h 00h 60h 60h // RPDO2 entry 1 map: Operation Mode
Wait 20
Send 601h  8  2Fh 01h 16h 00h 01h 00h 00h 00h // one RPDO2 mapped object
Wait 20

//RPDO3 (Not used)
Send 601h  8  23h 02h 14h 01h 01h 04h 00h 00h // RPDO3 set to drive address 1 (COB-ID 401)
Wait 20
Send 601h  8  2Fh 02h 16h 00h 00h 00h 00h 00h // delete RPDO3 mapping
Wait 20

//RPDO4 (Not used)
Send 601h  8  23h 03h 14h 01h 01h 05h 00h 00h // RPDO4 set to drive address 1 (COB-ID 501)
Wait 20
Send 601h  8  2Fh 03h 16h 00h 00h 00h 00h 00h // delete RPDO4 mapping
Wait 20

//TxPDO's  

//TPDO1 (Status Word)
Send 601h  8  23h 00h 18h 01h 81h 01h 00h 40h // TPDO1 set to drive address 1 (COB-ID 181)
Wait 20
Send 601h  8  2Fh 00h 1Ah 00h 00h 00h 00h 00h // delete TPDO1 mapping
Wait 20
Send 601h  8  23h 00h 1Ah 01h 10h 00h 41h 60h // TPDO1 entry 1: status word
Wait 20
Send 601h  8  2Fh 00h 1Ah 00h 01h 00h 00h 00h // one TPDO1 mapped object
Wait 20

//TPDO2 (Operating Mode 6060)
Send 601h  8  23h 01h 18h 01h 81h 02h 00h 40h // TPDO2 set to drive address 1 (COB-ID 281)
Wait 20
Send 601h  8  2Fh 01h 1Ah 00h 00h 00h 00h 00h // delete TPDO2 mapping
Wait 20
Send 601h  8  23h 01h 1Ah 01h 08h 00h 61h 60h // TPDO2 entry 1: Read Operating Mode
Wait 20
Send 601h  8  2Fh 01h 1Ah 00h 01h 00h 00h 00h // one TPDO2 mapped object
Wait 20

//TPDO3 (Actual Position)
Send 601h  8  23h 02h 18h 01h 81h 03h 00h 40h // TPDO3 set to drive address 1 (COB-ID 381)
Wait 20
Send 601h  8  2Fh 02h 1Ah 00h 00h 00h 00h 00h // delete TPDO3 mapping
Wait 20
Send 601h  8  23h 02h 1Ah 01h 20h 00h 64h 60h // TPDO3 entry 1: Actual Position
Wait 20
Send 601h  8  2Fh 02h 1Ah 00h 01h 00h 00h 00h // one TPDO3 mapped object
Wait 20

//TPDO4 (Not used)
Send 601h  8  23h 03h 18h 01h 81h 04h 00h 40h // TPDO4 set to drive address 1 (COB-ID 481)
Wait 20
Send 601h  8  2Fh 03h 1Ah 00h 00h 00h 00h 00h // delete TPDO4 mapping
Wait 20
